Show / Hide Table of Contents

# Class StatusPayload

##### Inheritance

System.Object
Payload
StatusPayload

##### Inherited Members

Payload.Process(BinaryReader)
Payload.START_BYTE
Payload.END_BYTE
Payload.GetInteger(BinaryReader)
Payload.MakeInteger(UInt32, Boolean, Boolean)
Payload.GetMarkerForIntegerBytes(Byte[])
Payload.GetMarkerForPackedIntegerBytes(Byte[])
Payload.GetPackedIntegers(BinaryReader)
Payload.MakePackedInteger(UInt32, UInt32, Boolean)
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.Chat.SeStringHandling.Payloads

###### Assembly: Dalamud.dll

##### Syntax

    public class StatusPayload : Payload

### Constructors

| Improve this Doc View Source

#### StatusPayload()

##### Declaration

    public StatusPayload()

| Improve this Doc View Source

#### StatusPayload(UInt32)

##### Declaration

    public StatusPayload(uint statusId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | statusId |

### Properties

| Improve this Doc View Source

#### StatusId

##### Declaration

    public uint StatusId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### StatusName

##### Declaration

    public string StatusName { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Type

##### Declaration

    public override PayloadType Type { get; }

##### Property Value

Type | Description
--- | ---
PayloadType |

##### Overrides

Payload.Type

### Methods

| Improve this Doc View Source

#### Encode()

##### Declaration

    public override byte[] Encode()

##### Returns

Type | Description
--- | ---
System.Byte[] |

##### Overrides

Payload.Encode()
| Improve this Doc View Source

#### ProcessChunkImpl(BinaryReader, Int64)

##### Declaration

    protected override void ProcessChunkImpl(BinaryReader reader, long endOfStream)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IO.BinaryReader | reader |
System.Int64 | endOfStream |

##### Overrides

Payload.ProcessChunkImpl(BinaryReader, Int64)
| Improve this Doc View Source

#### Resolve()

##### Declaration

    public override void Resolve()

##### Overrides

Payload.Resolve()
| Improve this Doc View Source

#### ToString()

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String |

##### Overrides

System.Object.ToString()